--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_cq.c	Sun Jun 11 17:03:22 2017
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_cq.c	Sun Jun 11 17:03:22 2017
@@ -84,8 +84,6 @@
 	uint32_t		status, flag;
 	hermon_cq_sched_t	*cq_schedp;
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*cq_attr))
-
 	/*
 	 * Determine whether CQ is being allocated for userland access or
 	 * whether it is being allocated for kernel access.  If the CQ is
@@ -138,7 +136,6 @@
 		goto cqalloc_fail2;
 	}
 	cq = (hermon_cqhdl_t)rsrc->hr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*cq))
 	cq->cq_is_umap = cq_is_umap;
 	cq->cq_cqnum = cqc->hr_indx;	/* just use index, implicit in Hermon */
 	cq->cq_intmod_count = 0;
@@ -222,7 +219,6 @@
 		goto cqalloc_fail4;
 	}
 	buf = (hermon_hw_cqe_t *)cq->cq_cqinfo.qa_buf_aligned;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*buf))
 
 	/*
 	 * The ownership bit of the CQE's is set by the HW during the process
@@ -250,7 +246,6 @@
 		status = IBT_INSUFF_RESOURCE;
 		goto cqalloc_fail5;
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr))
 
 	cq->cq_erreqnum = HERMON_CQ_ERREQNUM_GET(state);
 	if (cq_attr->cq_flags & IBT_CQ_HID) {
@@ -488,7 +483,6 @@
 	hermon_icm_set_num_to_hdl(state, HERMON_CQC, cqc->hr_indx, NULL);
 
 	mutex_exit(&cq->cq_lock);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*cq))
 
 	/*
 	 * Reclaim CQC entry from hardware (using the Hermon HW2SW_CQ
@@ -651,7 +645,6 @@
 		goto cqresize_fail;
 	}
 	buf = (hermon_hw_cqe_t *)new_cqinfo.qa_buf_aligned;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*buf))
 
 	/*
 	 * No initialization of the cq is needed - the command will do it
@@ -679,7 +672,6 @@
 		status = IBT_INSUFF_RESOURCE;
 		goto cqresize_fail;
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr))
 
 	/*
 	 * Now we grab the CQ lock.  Since we will be updating the actual
@@ -1320,7 +1312,6 @@
 	 * be associated with it (e.g. whether immediate data is present).
 	 */
 	flags = IBT_WC_NO_FLAGS;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(state->hs_fcoib_may_be_running))
 	if (HERMON_CQE_SENDRECV_GET(cq, cqe) != HERMON_COMPLETION_RECV) {
 
 		/* Send CQE */
